UUEncoder (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: UUEncoder

Package org.apache.tools.ant.util

# Class UUEncoder

java.lang.Object
org.apache.tools.ant.util.UUEncoder

    public class UUEncoder
    extends java.lang.Object

UUEncoding of an input stream placed into an OutputStream. This class is meant to be a drop in replacement for sun.misc.UUEncoder, which was previously used by Ant. The uuencode algorithm code has been copied from the geronimo project.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static int` | `DEFAULT_MODE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UUEncoder​(java.lang.String name)` | Constructor specifying a name for the encoded buffer, begin line will be:

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `encode​(java.io.InputStream is, java.io.OutputStream out)` | UUEncode bytes from the input stream, and write them as text characters to the output stream.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_MODE

    protected static final int DEFAULT_MODE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### UUEncoder

    public UUEncoder​(java.lang.String name)
    Constructor specifying a name for the encoded buffer, begin line will be:

           begin 644 [NAME]

    Parameters:
      `name` - the name of the encoded buffer.

- ## Method Details

  - ### encode

    public void encode​(java.io.InputStream is, java.io.OutputStream out) throws java.io.IOException
    UUEncode bytes from the input stream, and write them as text characters to the output stream. This method will run until it exhausts the input stream.
    Parameters:
      `is` - the input stream.
      `out` - the output stream.
    Throws:
      `java.io.IOException` - if there is an error.